export interface TokenInterface {
  token: string,
  expires: Date,
  lifetime: number,
  browser: string,
  platform: string
}

export interface UserInterface {
  display_name: string | null,
  firstname: string,
  lastname: string,
  mail: string | null,
  roles: Array<string>
}

export interface UserStateInterface {
  token: TokenInterface | null,
  user: UserInterface | null,
  permissions: Array<string>
};

const state: UserStateInterface = {
  token: null,
  user: null,
  permissions: []
};

export default state;